Bug 532382 - Review Request: fvkbd - Free Virtual Keyboard
Review Request: fvkbd - Free Virtual Keyboard
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMoblin21
  Show dependency treegraph
 
Reported: 2009-11-01 19:07 EST by Peter Robinson
Modified: 2010-07-12 13:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 18:48:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-11-01 19:07:34 EST
SPEC: http://pbrobinson.fedorapeople.org/fvkbd.spec
SRPM: http://pbrobinson.fedorapeople.org/fvkbd-0.1.6-1.fc12.src.rpm

Description:
A free virtual keyboard for use in Moblin Internet Devices from Phones to MIDs.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1781762
Comment 1 Parag AN(पराग) 2009-11-05 00:35:14 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1781762
+ rpmlint output for SRPM and for RPM is silent.
+ source files match upstream url(sha1sum)
4c270a703ffa3895a992351dbb4768a550e8dd2f  fvkbd-0.1.6.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ Package fvkbd-0.1.6-1.fc13.i686 =>
Provides: libfvkbd-0.1.so.0 libfvkbd-gtk-0.1.so.0
Requires: /usr/bin/python libX11.so.6 libXtst.so.6 libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libcairo.so.2 libfakekey.so.0 libfontconfig.so.1 libfreetype.so.6 libfvkbd-0.1.so.0 libfvkbd-gtk-0.1.so.0 libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libgio-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgtk-x11-2.0.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 libunique-1.0.so.0 libxml2.so.2 libxml2.so.2(LIBXML2_2.4.30) libxml2.so.2(LIBXML2_2.6.0) rtld(GNU_HASH)
+ Package fvkbd-devel-0.1.6-1.fc13.i686 =>
Requires: libfvkbd-0.1.so.0 libfvkbd-gtk-0.1.so.0

+ GUI application

Suggestions
1) I don't think you need
Requires: pkgconfig
remove it.
2) menu entry in Accessories is conflicting with matchbox-keyboard name "Keyboard" though once see difference in icon
But I suggest you change it to 
"Free Virtual Keyboard"
Comment 2 Parag AN(पराग) 2009-11-12 00:58:25 EST
Ping?
Comment 3 Peter Robinson 2009-11-12 06:17:41 EST
Sorry, been away from computer and very busy. I hope to have an update shortly.
Comment 4 Peter Robinson 2009-11-15 05:05:11 EST
Package updated with the above 2 suggestions.
SPEC: http://pbrobinson.fedorapeople.org/fvkbd.spec
SRPM: http://pbrobinson.fedorapeople.org/fvkbd-0.1.6-2.fc12.src.rpm
Comment 5 Parag AN(पराग) 2009-11-18 03:33:14 EST
thanks.
APPROVED.
Comment 6 Peter Robinson 2009-11-18 06:43:34 EST
New Package CVS Request
=======================
Package Name: fvkbd
Short Description: Free Virtual Keyboard
Owners: pbrobinson
Branches: F-12
InitialCC:
Comment 7 Bastien Nocera 2009-11-18 11:19:53 EST
Should this replace the matchbox-keyboard? I believe it's supposed to be the successor to the matchbox-keyboard, as it handles CJK.
Comment 8 Peter Robinson 2009-11-18 11:26:48 EST
(In reply to comment #7)
> Should this replace the matchbox-keyboard? I believe it's supposed to be the
> successor to the matchbox-keyboard, as it handles CJK.  

That's what I believe is suppose to happen but I figured it could obsolete it at a later point once its been tested etc. Thoughts?
Comment 9 Bastien Nocera 2009-11-18 11:39:55 EST
(In reply to comment #8)
> (In reply to comment #7)
> > Should this replace the matchbox-keyboard? I believe it's supposed to be the
> > successor to the matchbox-keyboard, as it handles CJK.  
> 
> That's what I believe is suppose to happen but I figured it could obsolete it
> at a later point once its been tested etc. Thoughts?  

That'd be fine by me. Mind filing a bug to that effect?
Comment 10 Jason Tibbitts 2009-11-19 13:29:50 EST
CVS done.
Comment 11 Peter Robinson 2009-11-19 18:48:17 EST
Bastien, will do.
Comment 12 Peter Robinson 2010-07-11 05:44:08 EDT
Package Change Request
======================
Package Name: fvkbd
New Branches: EL-6
Owners: pbrobinson
Comment 13 Kevin Fenzi 2010-07-12 13:13:11 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.